<template>
<div>
  <v-row>
    <v-col>
      <h1>Connexion</h1>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <v-form>
        <v-text-field
            label="Login"
            outlined
            v-model="user.email"
            required
        ></v-text-field>

        <v-text-field
            label="Mot de passe"
            outlined
            v-model="user.password"
            password
            type="password"
            required
        ></v-text-field>

        <v-btn @click="submit" :disabled="disabled">Se connecter</v-btn>
      </v-form>
    </v-col>
  </v-row>
</div>
</template>

<script>
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      user: {
          email: null,
          password: null,
      },
    }
  },
  computed: {
    disabled() {
        return !(
          this.user.email
          && this.user.password
        );
    }
  },
  methods: {
    submit() {
      this.$axios.post('/login', this.user)
        .then(res => {
          if (res.status === 200) {
            console.log(res);
            
            const token = res.data;
            document.cookie = `token=${token}`;

            // const token = document.cookie
            //   .split('; ')
            //   .find(row => row.startsWith('token='))
            //   .split('=')[1];

            this.$axios.setToken(token, 'Bearer')

            this.$router.push('/');
          } else {
            console.log(res);
          }
        })
        .catch(err => {
          console.log(err);
        })
    }
  }
})
</script>
